Package serp.bytecode

# Class ArrayInstruction

java.lang.Object
serp.bytecode.Instruction
serp.bytecode.TypedInstruction
serp.bytecode.ArrayInstruction

All Implemented Interfaces:
  `BCEntity`, `VisitAcceptor`

Direct Known Subclasses:
  `ArrayLoadInstruction`, `ArrayStoreInstruction`

public abstract class ArrayInstruction extends TypedInstruction
Any array load or store instruction. This class has no functionality beyond the `TypedInstruction` but is provided so that users can easily identify array instructions in code if need be.

Author:
  Abe White

## Method Summary

### Methods inherited from class serp.bytecode.TypedInstruction

`getType, getTypeBC, getTypeName, setType, setType, setType`

### Methods inherited from class serp.bytecode.Instruction

`acceptVisit, equalsInstruction, getByteIndex, getClassLoader, getCode, getLineNumber, getLogicalStackChange, getName, getOpcode, getPool, getProject, getStackChange, isValid`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`